<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
         "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.kde.NepomukServer">
    <method name="enableStrigi">
      <arg name="enabled" type="b" direction="in" />
    </method>
    <method name="enableNepomuk">
      <arg name="enabled" type="b" direction="in" />
    </method>
    <method name="isStrigiEnabled">
      <arg name="enabled" type="b" direction="out" />
    </method>
    <method name="isNepomukEnabled">
      <arg name="enabled" type="b" direction="out" />
    </method>
    <method name="defaultRepository">
      <arg name="repositoryName" type="s" direction="out" />
    </method>
    <method name="reconfigure" />
    <method name="quit" />
  </interface>
</node>
